CVE-2003-0222

Current Description

Stack-based buffer overflow in Oracle Net Services for Oracle Database Server 9i release 2 and earlier allows attackers to execute arbitrary code via a "CREATE DATABASE LINK" query containing a connect string with a long USING parameter.

Basic Data

PublishedMay 12, 2003
Last ModifiedJuly 11, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-119
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:S/C:C/I:C/A:C
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationSINGLE
CVSS 2 - Confidentiality ImpactCOMPLETE
CVSS 2 - Availability ImpactCOMPLETE
CVSS 2 - Base Score9.0
SeverityHIGH
Exploitability Score8.0
Impact Score10.0
Obtain All Privilegetrue
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationOracleDatabase Server7.3.3*******
    2.3ApplicationOracleDatabase Server7.3.4*******
    2.3ApplicationOracleDatabase Server8.0.1*******
    2.3ApplicationOracleDatabase Server8.0.2*******
    2.3ApplicationOracleDatabase Server8.0.3*******
    2.3ApplicationOracleDatabase Server8.0.4*******
    2.3ApplicationOracleDatabase Server8.0.5*******
    2.3ApplicationOracleDatabase Server8.0.5.1*******
    2.3ApplicationOracleDatabase Server8.0.6*******
    2.3ApplicationOracleDatabase Server8.1.5*******
    2.3ApplicationOracleDatabase Server8.1.6*******
    2.3ApplicationOracleDatabase Server8.1.7*******
    2.3ApplicationOracleDatabase Server9.2.1*******
    2.3ApplicationOracleDatabase Server9.2.2*******
    2.3ApplicationOracleOracle8i8.0.6*******
    2.3ApplicationOracleOracle8i8.0.6.3*******
    2.3ApplicationOracleOracle8i8.0x*******
    2.3ApplicationOracleOracle8i8.1.5*******
    2.3ApplicationOracleOracle8i8.1.6*******
    2.3ApplicationOracleOracle8i8.1.7*******
    2.3ApplicationOracleOracle8i8.1.7.1*******
    2.3ApplicationOracleOracle8i8.1.7.4*******
    2.3ApplicationOracleOracle8i8.1x*******
    2.3ApplicationOracleOracle9i9.0*******
    2.3ApplicationOracleOracle9i9.0.1*******
    2.3ApplicationOracleOracle9i9.0.1.2*******
    2.3ApplicationOracleOracle9i9.0.1.3*******
    2.3ApplicationOracleOracle9i9.0.1.4*******
    2.3ApplicationOracleOracle9i9.0.2*******
    2.3ApplicationOracleOracle9i9.2.0.1*******
    2.3ApplicationOracleOracle9i9.2.0.2*******

Vulnerable Software List

VendorProductVersions
Oracle Database Server 7.3.3, 7.3.4, 8.0.1, 8.0.2, 8.0.3, 8.0.4, 8.0.5, 8.0.5.1, 8.0.6, 8.1.5, 8.1.6, 8.1.7, 9.2.1, 9.2.2
Oracle Oracle9i 9.0, 9.0.1, 9.0.1.2, 9.0.1.3, 9.0.1.4, 9.0.2, 9.2.0.1, 9.2.0.2
Oracle Oracle8i 8.0.6, 8.0.6.3, 8.0x, 8.1.5, 8.1.6, 8.1.7, 8.1.7.1, 8.1.7.4, 8.1x

References

NameSourceURLTags
20030429 Oracle Database Server Buffer Overflow Vulnerability (#NISR29042003)http://marc.info/?l=bugtraq&m=105162831008176&w=2BUGTRAQ
20030429 Oracle Database Server Buffer Overflow Vulnerability (#NISR29042003)http://marc.info/?l=ntbugtraq&m=105163376015735&w=2NTBUGTRAQ
http://otn.oracle.com/deploy/security/pdf/2003alert54.pdfhttp://otn.oracle.com/deploy/security/pdf/2003alert54.pdfCONFIRMPatch Vendor Advisory
N-085http://www.ciac.org/ciac/bulletins/n-085.shtmlCIAC
7453http://www.securityfocus.com/bid/7453BIDPatch Vendor Advisory
oracle-database-link-bo(11885)https://exchange.xforce.ibmcloud.com/vulnerabilities/11885XF